include	clib.inc
include	conio.inc

	extrn IDD_ConfirmContinue:DWORD

PPROC	confirm_continue, msg:dword
	invoke rsopen, IDD_ConfirmContinue
	.if ax
	    push dx
	    push ax
	    invoke dlshow, dx::ax
	    lodm msg
	    .if ax
		mov bx,es:[bx+4]
		add bx,0204h
		mov cx,34
		call @scpath
	    .endif
	    call dlmodal
    	.endif
	ret
PEND	confirm_continue

	END
